      SUBROUTINE CHART
C*BEGIN COMMON 
      COMMON SNAP,SNAPSHT(247), 
     +   DATE,REMKL,REMCOM,REMBASE,REMRES,REMTIME,STARKL,BASEKL,
     +   KILLK,KILLC,GALAXY(8,8),CX(10),CY(10),BASEQX(5),BASEQY(5), 
     +   NEWSTUF(8,8),PLNETS(10,5),ISX,ISY,NSCREM,NROMKL,NROMREM,
     +   NSCKILL,NPLANKL,ISATB,BATX,BATY,THINGX,THINGY,
     +   QUAD(10,10),KX(20),KY(20),KPOWER(20),KDIST(20),KSTUF(20),  
     +   FUTURE(10),MESSAGE(5,10),
     +   INKLING,INBASE,INRESOR,INCOM,INTIME,INSTAR,INENRG,INSHLD,
     +   INTORPS,INLSR,INDATE,ENERGY,SHLD,SHLDUP,CONDIT,TORPS,SHIP, 
     +   QUADX,QUADY,SECTX,SECTY,WARPFAC,WFACSQ,LSUPRES,DAMAGE(20), 
     +   LENGTH,SKILL,PASSWD,DIST,DIREC,TIME,BASEX,BASEY,DOCKFAC, 
     +   KLHERE,COMHERE,CASUAL,NHELP,NKINKS,STARCH(8,8),
     +   DEVICE(2,14),IDIDIT,GAMEWON,ALIVE,JUSTIN,RESTING,ALLDONE,
     +   DAMFAC,SHLDCHG,NDEVICE,PLNETX,PLNETY,INORBIT,LANDED,IPLANET,
     +   IMINE,ICRYSTL,INPLAN,NENHERE,ISHERE,NEUTZ,IRHERE,ICRAFT,
     +   IENTESC,ISCRAFT,ISCATE,CRYPROB,ICITE,IPHWHO,
     +   CRACKS(12) 
      INTEGER SHLDUP,CONDIT,QUADX,QUADY,SECTX,SECTY,TORPS,
     +   REMKL,REMBASE,SKILL,REMCOM,GALAXY,STARCH,CX,CY, 
     +   SHIP,ALLDONE,BASEQX,BASEQY,BASEX,BASEY,GAMEWON, 
     +   ALIVE,STARKL,BASEKL,CASUAL,COMHERE,RESTING,SNAP,SHLDCHG, 
     +   THINGX,THINGY,BATX,BATY,PLNETX,PLNETY,PLNETS
      REAL KDIST,KPOWER,LSUPRES,INTIME,INRESOR,INDATE,INSHLD,   
     +   INENRG,INLSR 
	BYTE QUAD
	REAL*8 DEVICE,PASSWD
C*END COMMON 
	LOGICAL*1 IHS,IHR,IHC,IHK,IHE,IHF,IHBLANK,IHDOT,IHP,IHB
	1 ,IHSTAR,IHT,IHQUEST,IHNUM
      COMMON/HOLLER/IHEOL,IHREAL,IHALPHA,IHS,IHR,IHC,IHK,IHGREEN,IHRED, 
     +IHYELLO,IHDOCKD,IHE,IHF,IHBLANK,IHDOT,IHQUEST,IHP,IHSTAR,IHB
     +,IHT,IHNUM  
	EQUIVALENCE (KSTUF(7),IKNOWC),(KSTUF(8),IKNOWS)
      CALL PROUT(31HSTAR CHART FOR THE KNOWN GALAXY,31)
      CALL SKIP(1)
      CALL PROUT(42H      1    2    3    4    5    6    7    8,42) 
	CALL CRAM(4H    )
	CALL CRAMCH(1H-,40)
	CALL CREND
      CALL PROUT(3H  :,3) 
      DO 50 I=1,8 
      CALL CRAMI(I,1) 
      CALL CRAM(2H :) 
      DO 40 J=1,8 
      IF(STARCH(I,J)) 10,20,30
10	IF(STARCH(I,J) .EQ. -1) CALL CRAM(5H  .1.)
	IF(STARCH(I,J) .EQ. -2) CALL CRAM(5H  .0.)
      GO TO 40
 20   CALL CRAM(5H  ...)
      GO TO 40
 30   IF(STARCH(I,J) .GT. 999) GO TO 35 
      CALL CRAMI(GALAXY(I,J),5) 
      GO TO 40
 35   CALL CRAMI(STARCH(I,J)-1000,5)
 40   CONTINUE
      CALL CREND
      CALL PROUT(3H  :,3) 
 50   CONTINUE
      CALL SKIP(1)
      CALL CRAMSHP
      CALL CRAM(16H IS CURRENTLY IN)
      CALL CRAMLOC(1,QUADX,QUADY) 
      CALL CREND
	IF(IKNOWS.EQ.1 .AND. ISATB.EQ.1) CALL ATSTAT (IHS,ISX,ISY)
	IF(IKNOWC.EQ.1 .AND. BATX.NE.0) CALL ATSTAT (IHC,BATX,BATY)
      RETURN
      END 
